Mono support board

Start the conversation, ask questions and share tips and solutions with fellow developers.

Non-registered users can only browse through our support boards. Please register now if you want to post your questions. It takes a second and it is completely free. Alternatively, you can log in without registration using your credentials at major sites such as Google, Microsoft Live, OpenId, Facebook, LinkedIn or Yahoo.

Mono Support Installation issue wtih the version MonoX_4_5_3200_40 

Viewed 14660 time(s), 9 post(s) 12/12/2011 2:03:59 PMby inanc
inanc
1

inanc 12/12/2011 2:03:59 PM

Hello,
I am trying to install the version MonoX_4_5_3200_40 by using the same procedure with the old versions forexample version 3057. But I think I am missing an important point. I am getting an error given below.

Exception Details: System.Security.SecurityException: That assembly does
not allow partially trusted callers.

Do you have any idea?
Thank you.
Inanc
This content has not been rated yet. 
449 Reputation 58 Total posts
khorvat
2

khorvat 12/12/2011 2:24:24 PM

Hi,

before we start checking this issue can you please provide us with your environment details ? e.g. Shared hosting, local PC, Windows version etc.

Mainly this issue is related to medium trust environments.

Regards
This content has not been rated yet. 
14903 Reputation 2056 Total posts
inanc
3

inanc 12/12/2011 2:38:12 PM

Hi khorvat,
This is a local machine running on .NET 4.0. and IIS server 7. Operating system is 2008 server R2.
Thank you.
Regards.
This content has not been rated yet. 
449 Reputation 58 Total posts
denis
4

denis 12/13/2011 2:43:58 PM

Hi inanac,
this still sounds like a trust issue. Did you take a look at this blog post? How is it configured on a machine level? Are you 100% sure that you did not limit the tust level in the machine config files?
This content has not been rated yet. 
7101 Reputation 925 Total posts
inanc
5

inanc 12/13/2011 7:58:58 PM

Hello Denis,
No. I've never touched the machine config file. I am sure about that. I have no problem with the installation of version 'MonoX_4_5_3057_40'. Is there a difference on trust levels between the versions 'MonoX_4_5_3057_40' and 'MonoX_4_5_3200_40'. I have tested the situation on two different machines and I have observed the same issue.
Regards.
Inanc
This content has not been rated yet. 
449 Reputation 58 Total posts
khorvat
6

khorvat 12/13/2011 9:18:30 PM

Hi,

there are a few changes that may affect the latest version but still you will need to change the trust level. We will try to reproduce the issue and get back to with results.

Regards
This content has not been rated yet. 
14903 Reputation 2056 Total posts
denis
7

denis 12/14/2011 2:19:11 PM

Hi Inanc,
We have been trying to reproduce this issue, but everything is working correctly on our end. Can you organize a remote support session (via TeamViewer) so we could take a look at it on your machine?
This content has not been rated yet. 
7101 Reputation 925 Total posts
denis
8

denis 12/16/2011 2:29:04 PM

This content has not been rated yet. 
7101 Reputation 925 Total posts
inanc
9

inanc 12/16/2011 2:37:12 PM

Thank you!
It is ok now..
Kind regards
Inanc
This content has not been rated yet. 
449 Reputation 58 Total posts